Bug 281631 - Pass in schema and config LDIF files to setup
Pass in schema and config LDIF files to setup
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-09-06 18:57 EDT by Rich Megginson
Modified: 2015-12-07 11:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:35:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diffs (6.59 KB, patch)
2007-09-06 19:01 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (700 bytes, text/plain)
2007-09-07 11:03 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-09-06 18:57:29 EDT
We should allow the user to pass in additional schema files and additional
config entries during setup to allow e.g. custom schema with the
InstallLdifFile, or the creation of additional suffixes/databases, or
replication configuration, or whatever.
Comment 1 Rich Megginson 2007-09-06 19:01:16 EDT
Created attachment 189321 [details]
diffs
Comment 2 Noriko Hosoi 2007-09-06 19:30:04 EDT
Looks good to me.
Comment 3 Rich Megginson 2007-09-07 11:03:17 EDT
Created attachment 190001 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: 1) Allow multi-valued parameters in .inf files and command
line.  These values will be represented internally as an array ref.  No
existing parameters allow being multi-valued (e.g. you can't use Suffix=o=foo
and Suffix=o=bar)
2) Add two new .inf parameters - SchemaFile and ConfigFile.  The files listed
in SchemaFile will be copied into the schema subdirectory of the new instance,
so they must already be named appropriately (e.g. 60foo.ldif).	The files
listed in ConfigFile must be LDIF files with one or more whole entries to be
added to the initial dse.ldif.	These could be additional suffixes/databases to
create, plugin configuration, replication configuration, or anything else.
Right now, if you have an LDIF file that relies on custom schema, you cannot
use the InstallLdifFile directive during setup.  SchemaFile allows you to do
that.
Platforms tested: RHEL5
Flag Day: no
Doc impact: Will need to document the two additional parameters.

Note You need to log in before you can comment on or make changes to this bug.